const path = require('path');

const env = process.env.BABEL_ENV || process.env.NODE_ENV;
const validTargets = ['7', '7.6', '8', 'current'];

module.exports = {
    presets: [
      [require.resolve('babel-preset-env'),{
        debug: false,
        modules: false,
        useBuiltIns: true,
        targets: {
          node: 8
        },
        exclude: ['transform-regenerator', 'transform-async-to-generator'],
      }],
      require.resolve('babel-preset-react'),
    ],
    plugins: [
      require.resolve('babel-plugin-syntax-flow'),
      require.resolve('babel-plugin-syntax-dynamic-import'),
      [
        require.resolve('fast-async'),
        {
          spec: true,
        },
      ],
      modules === 'commonjs' && [
        require('babel-plugin-transform-es2015-modules-commonjs'),
        optsLoose,
      ],
      // class { handleClick = () => { } }
      require.resolve('babel-plugin-transform-class-properties'),
      // { ...param, completed: true }
      [
        require.resolve('babel-plugin-transform-object-rest-spread'),
        {
          useBuiltIns: true,
        },
      ],
      require.resolve('babel-plugin-transform-decorators-legacy'),

      require.resolve('babel-plugin-dynamic-import-node'),
    ],
  };
if (env === 'production') {
  const prodPlugins = [require.resolve('babel-plugin-transform-flow-strip-types')];

  module.exports.plugins.push(...prodPlugins);
}
